Bug 20650 - ld does not check if an object file was generated on the right architecture
ld does not check if an object file was generated on the right architecture
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: binutils (Show other bugs)
6.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-10 12:07 EST by Need Real Name
Modified: 2007-04-18 12:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-02 15:11:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-11-10 12:07:11 EST
If you generate an object file on a platform and try to link it on another
platform, ld dumps a core file. No check is performed regarding the
architecture used for the generation.

$ file spec.o
spec.o:      ELF 32-bit MSB relocatable, SPARC, version 1, not stripped
$ ld spec.o
ld: warning: cannot find entry symbol _start; defaulting to 08048078
Segmentation fault (core dumped)
Comment 1 Jakub Jelinek 2004-10-02 15:11:27 EDT
Current ld certainly seems to complain:
/usr/bin/ld: warning: i386 architecture of input file `a.o' is incompatible with i386:x86-64 output

Note You need to log in before you can comment on or make changes to this bug.